
Ryzom - Feature # 1059

Status: Closed Priority: Normal
Author: rti Category: OS: Mac
Created: 08/05/2010 Assignee: rti
Updated: 11/05/2010 Due date:
Subject: Make cocoa the default subsystem on Mac OS X
Description

NeL on Mac OS X can run using a Cocoa and a X11 subsystem.

Since the Cocoa subsystem matures (and X11 on Mac OS X is missing some features like fullscreen support), 
Cocoa should be the default subsystem on Mac OS X.

This includes removing the WITH_COCOA cmake option and the NL_OS_NATIVE preprocessor define. All Cocoa logic should be
activated using NL_OS_MAC like described by kervala in http://dev.ryzom.com/issues/1055#note-2

History
#1 - 08/13/2010 04:31 pm - rti
- Assignee set to rti

#2 - 08/13/2010 06:20 pm - rti
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r638.

#3 - 11/05/2010 02:36 pm - rti
- Status changed from Resolved to Closed
- Target version changed from Version 0.9.0 to Version 0.8.0
